#!/usr/bin/env php
<?php

include 'includes/fileReader.php';
include 'includes/io.php';
include 'includes/includeBuilder.php';
include 'includes/includeParser.php';

if (count($argv) < 3) {
    line('Usage: ' . __FILE__ . ' <inFile> <outFile>');
    exit(1);
}
$fromFile = $argv[1];
if (!file_exists($fromFile)) {
    line('File not found: ' . $fromFile);
    exit(1);
}
$toFile = $argv[2];
if (file_exists($toFile)) {
    line('File already exists: ' . $toFile);
    unlink($toFile);
}

$includes = [];
buildIncludes($fromFile, $includes);
$lines = yieldIncludes($fromFile, $includes);

$toFileHandle = fopen($toFile, 'w');
foreach ($lines as $line) {
    fwrite($toFileHandle, $line);
    chmod($toFile, fileperms($fromFile));
}
fclose($toFileHandle);
